### File

`packages/ecl/components/ecl-timeline/events/ecl-timeline-item-toggle.event.ts`

### Description

Event emitted when a timeline item is toggled (expanded or collapsed).

### Extends

`EclBaseEvent`

### Index

###### Properties
Public isExpanded Public toggleGroup
###### Methods
preventDefault

### Constructor

`constructor(isExpanded: boolean, toggleGroup: string)`
Parameters :
Name | Type | Optional
isExpanded | `boolean` | No
toggleGroup | `string` | No

### Properties

Public isExpanded
Type : `boolean`
Indicates whether the item is expanded after the toggle.

Public toggleGroup
Type : `string`
Identifier of the toggle group this item belongs to.

### Methods

preventDefault
`preventDefault()`
Returns : `void`

# results matching ""

# No results matching ""